Subject: [ippm] Updates to twamp light/stamp messages

From: Rakesh Gandhi <[email-masked]>
Date: Wed, 11 Mar 2020 18:22:45 -0400

Hi WG,

I have prepared few slides as follows to discuss the various options for
adding session id and control code in the twamp light and stamp messages.

https://github.com/rakgandhi/ietf-public/blob/master/ietf-stamp-session-id-rev1.pdf

Drafts discussed are:

draft-gandhi-spring-twamp-srpm

draft-ietf-ippm-stamp-option-tlv

Welcome your comments and suggestions.

Thanks,

Rakesh

---

From: <[email-masked]>
Date: Thu, 12 Mar 2020 09:40:38 +0800 (CST)

Hi Rakesh,

I'm a bit confused why separate TWAMP-Light and STAMP messages need to be defined, because as  I understand STAMP can be seen as the standardized and enhanced version of TWAMP-Light, and STAMP is backward compatible with the existing TWAMP-Light implementations.

Best Regards,

Xiao Min

原始邮件

发件人：RakeshGandhi <[email-masked]>
收件人：IETF IPPM WG <[email-masked]>;[email-masked] <[email-masked]>;Mach Chen <[email-masked]>;
抄送人：IPPM Chairs <[email-masked]>;
日 期 ：2020年03月12日 06:36
主 题 ：[ippm] Updates to twamp light/stamp messages

_______________________________________________
ippm mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/ippm

Hi WG,

I have prepared few slides as follows to discuss the various options for adding session id and control code in the twamp light and stamp messages. 

Drafts discussed are:

Thanks,

Rakesh

---

From: Rakesh Gandhi <[email-masked]>
Date: Thu, 12 Mar 2020 09:56:20 -0400

Hi Xiao,
Thanks for your comments.
For STAMP messages, do you have any thoughts on the options 1-4?

Thanks,
Rakesh

On Wed, Mar 11, 2020 at 10:14 PM <[email-masked]> wrote:

> Hi Rakesh,
>
>
> I'm a bit confused why separate TWAMP-Light and STAMP messages need to be
> defined, because as  I understand STAMP can be seen as the standardized and
> enhanced version of TWAMP-Light, and STAMP is backward compatible with the
> existing TWAMP-Light implementations.
>
>
> Best Regards,
>
> Xiao Min
> 原始邮件
> *发件人：*RakeshGandhi <[email-masked]>
> *收件人：*IETF IPPM WG <[email-masked]>;
> [email-masked] <
> [email-masked]>;Mach Chen <[email-masked]
> >;
> *抄送人：*IPPM Chairs <[email-masked]>;
> *日 期 ：*2020年03月12日 06:36
> *主 题 ：**[ippm] Updates to twamp light/stamp messages*

---

From: Greg Mirsky <[email-masked]>
Date: Thu, 12 Mar 2020 08:15:11 -0700

Hi Rakesh,
I would note that TWAMP Light is not a Standard but only informational IETF
document. Section 4 of RFC 8545 explains it clearly. And to be consistent
with the status of TWAMP Light, I think that a specification that defines
an extension to only TWAMP Light should be Informational track too. On the
other hand, if the proposed extension is for TWAMP-Test protocol, then, as
explained in RFC 8545, it requires a respective extension of the
TWAMP-Control protocol, as have been done in the past for all extensions of
TWAMP.
As for the extension of STAMP, I've mentioned the example of the Direct
Measurement of packet loss that uses the standard STAMP extension
mechanism. I believe that your proposal can follow the same approach.

Regards,
Greg

On Thu, Mar 12, 2020 at 6:56 AM Rakesh Gandhi <[email-masked]>
wrote:

>> [email-masked]>;Mach Chen <
>> [email-masked]>;

---

From: Greg Mirsky <[email-masked]>
Date: Thu, 12 Mar 2020 08:35:54 -0700

Hi Rakesh, et al.,
to clarify my opinion of the proposed options. I do support Option 4 that
uses the STAMP extension mechanism. And since TWAMP Light is a non-standard
mode, I don't think that suggested "diversion of formats" is a real problem
for Option 4.

Regards,
Greg

On Thu, Mar 12, 2020 at 8:15 AM Greg Mirsky <[email-masked]> wrote:

> Hi Rakesh,
> I would note that TWAMP Light is not a Standard but only
> informational IETF document. Section 4 of RFC 8545 explains it clearly. And
> to be consistent with the status of TWAMP Light, I think that a
> specification that defines an extension to only TWAMP Light should be
> Informational track too. On the other hand, if the proposed extension is
> for TWAMP-Test protocol, then, as explained in RFC 8545, it requires a
> respective extension of the TWAMP-Control protocol, as have been done in
> the past for all extensions of TWAMP.
>>> I'm a bit confused why separate TWAMP-Light and STAMP messages need to
>>> be defined, because as  I understand STAMP can be seen as the standardized
>>> and enhanced version of TWAMP-Light, and STAMP is backward compatible with
>>> the existing TWAMP-Light implementations.
>>>
>>>
>>> Best Regards,
>>>
>>> Xiao Min
>>> 原始邮件

---

From: <[email-masked]>
Date: Fri, 13 Mar 2020 10:47:35 +0800 (CST)

Hi Rakesh,

I agree with Greg that Option 4 is preferable. In addition, Option 5 is also acceptable to me.

Some more clarifications are as follows.

During the discussion among the co-authors of draft-ietf-ippm-stamp-option-tlv, it was agreed that 16-bit Session ID length is enough, if there is different opinion, please let us know.

Option 3 puts Session ID in a TLV, but as I understand, Session ID is preferably placed in a fixed position of the test packets.

Option 2 puts 24-bit Session ID in a fixed position, besides the drawback you mentioned in the slide, we realized it's also difficult to find a good place in authenticated test packets.

Best Regards,

Xiao Min

原始邮件

发件人：RakeshGandhi <[email-masked]>
收件人：肖敏10093570;
抄送人：IETF IPPM WG <[email-masked]>;[email-masked] <[email-masked]>;Mach Chen <[email-masked]>;IPPM Chairs <[email-masked]>;
日 期 ：2020年03月12日 21:56
主 题 ：Re: [ippm] Updates to twamp light/stamp messages

Hi Xiao,

Thanks,
Rakesh

Hi Rakesh,

Best Regards,

Xiao Min

原始邮件

Hi WG,

Drafts discussed are:

Thanks,

Rakesh

---

From: Rakesh Gandhi <[email-masked]>
Date: Mon, 16 Mar 2020 14:00:17 -0400

Thanks Xiao and Greg for your comments.

I have updated the slides to include these comments:
https://github.com/rakgandhi/ietf-public/blob/master/ietf-stamp-session-id-rev1.pdf

Welcome additional comments and suggestions from the WG group.

Thanks,
Rakesh

On Thu, Mar 12, 2020 at 10:52 PM <[email-masked]> wrote:

>    1.
>    During the discussion among the co-authors of
>    draft-ietf-ippm-stamp-option-tlv, it was agreed that 16-bit Session ID
>    length is enough, if there is different opinion, please let us know.
>    2.
>
>    Option 3 puts Session ID in a TLV, but as I understand, Session ID is
>    preferably placed in a fixed position of the test packets.
>    3.
>
>    Option 2 puts 24-bit Session ID in a fixed position, besides the
>    drawback you mentioned in the slide, we realized it's also difficult to
>    find a good place in authenticated test packets.
>
>
> Best Regards,
>
> Xiao Min
> 原始邮件
> *收件人：*肖敏10093570;
> *抄送人：*IETF IPPM WG <[email-masked]>;
> >;IPPM Chairs <[email-masked]>;
> *日 期 ：*2020年03月12日 21:56
> *主 题 ：**Re: [ippm] Updates to twamp light/stamp messages*
> Hi Xiao,